@import "../../Variables"
@import "../../Loading"
@import "../../Themes"

.Surveys-container
  display: flex
  flex-direction: column
  justify-content: center
  .Surveys-reload
    position: absolute
    right: 1em
    top: 1em
    @include themify()
      @include loading(themed('color'), 3em)
  .Surveys-controls
    position: absolute
    left: 1em
    top: 1em
  .Surveys-filter
    display: flex
    margin: .6em 0
    flex-wrap: wrap
    flex-direction: row
    align-items: center
    justify-content: center
    & > *
      margin-left: 1em
      &:first-child
        margin-left: 0
  .Surveys-list
    margin: 0
    padding: 0
    list-style: none
    .Surveys-listitem
      @include themify()
        background-color: rgba(themed('backgroundColor'), .4)
      @media screen and (max-width: $break-sm)
        margin-left: 0
        margin-right: 0
        border-radius: 0
      margin: .8em 1em
      padding: .3em .4em
      text-align: left
      border-radius: .8em
      cursor: pointer
      border: 2px solid transparent
      &:hover
        @include themify()
          background-color: rgba(darken(themed('backgroundColor'), 15%), .4)
      &.archived
        color: #333333
        @include themify()
          background-color: themed('mutedColor')
      &.selected
        @include themify()
          border-color: themed('selectionColor')
